package com.gic.demo.project.service.service.api;

import com.gic.demo.base.api.common.ServiceResponse;
import com.gic.demo.common.utils.EntityUtils;
import com.gic.demo.project.api.dto.DemoStoreDTO;
import com.gic.demo.project.api.service.DemoStoreApiService;
import com.gic.demo.project.service.entity.TabGicDemoStore;
import com.gic.demo.project.service.service.local.DemoStoreLocalService;
import org.apache.commons.lang3.RandomUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author zhurz
 */
@Service
public class DemoStoreApiServiceImpl implements DemoStoreApiService {

    @Autowired
    private DemoStoreLocalService localService;

    /**
     * 根据id查询
     *
     * @param storeId 门店id
     * @return
     */
    @Override
    public ServiceResponse<DemoStoreDTO> findDemoStoreById(String storeId) {
        if (RandomUtils.nextInt(0, 10) > 5) {
            return new ServiceResponse<>(false, 1, "服务异常", null);
        }
        TabGicDemoStore store = localService.findDemoStoreById(storeId);
        return new ServiceResponse<>(true, 0, EntityUtils.changeEntityByOrika(DemoStoreDTO.class, store));
    }

}
