package com.gic.demo.project.web.controller;

import com.gic.demo.common.utils.GicDemoResponse;
import com.gic.demo.project.web.exception.GicDemoErrCode;

/**
 * 基础Controller
 *
 * @author zhurz
 */
public class WebBaseController {

    public GicDemoResponse resultResponse(GicDemoErrCode errCode, Object data, String detailError) {
        GicDemoResponse response = new GicDemoResponse();
        response.setMessage(errCode.getMsg());
        response.setErrorCode(errCode.getCode());
        response.setResult(data);
        response.setDetailError(detailError);
        return response;
    }

    public GicDemoResponse resultResponse(GicDemoErrCode errCode, Object data) {
        return resultResponse(errCode, data, null);
    }

    public GicDemoResponse resultResponse(GicDemoErrCode errCode) {
        return resultResponse(errCode, null, null);
    }

}
